
<!DOCTYPE html>
<html>
<head>

<meta charset="utf-8">
<meta name="robots" content="noindex,nofollow">
<meta name="viewport" content="width=device-width,initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title>Lamasticount</title>

<link rel="stylesheet" href="../css/bootstrap.min.css">
<link rel="stylesheet" href="../css/count.css">


</head>

<body>

	<script src="../js/angular.min.js"></script>
	<script src="../js/jquery.min.js"></script>
	<script src="../js/bootstrap.min.js"></script>
	<script src="../js/Chart.min.js"></script>


	<nav class="navbar navbar-default navbar-fixed-top">
		<div class="container-fluid">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse"
					data-target="#myNavbar">
					<span class="icon-bar"></span> <span class="icon-bar"></span> <span
						class="icon-bar"></span>
				</button>
				<span class="navbar-brand">Lamasticount</span>
			</div>
			<div class="collapse navbar-collapse" id="myNavbar">
				<ul class="nav navbar-nav">
					<li class="active"><a href="count.html"><span
							class="glyphicon glyphicon-euro"></span> Comptes</a></li>
					<li><a href="friends.html"><span
							class="glyphicon glyphicon-heart"></span> Amis</a></li>
				</ul>

				<hr class="visible-xs" />

				<ul class="nav navbar-nav navbar-right">
					<li><a href="#"><span class="glyphicon glyphicon-user"></span>
							Tableau de bord</a></li>
					<li><a href="#"><span
							class="
		 glyphicon glyphicon-log-out"></span> Déconnexion</a></li>
				</ul>
			</div>
		</div>
	</nav>

	<div class="container-fluid" style="margin-top: 60px;"
		ng-app="myCountApp" ng-controller="myCountCtrl">
		<div class="row col-sm-12 col-md-12" ng-repeat="count in myData">
			<div class="panel panel-primary"
				ng-init="toggledtab.push(false); seeastoggledtab.push(false); newexpensetab.push(false); showmoretab.push(false);">
				<div class="panel-heading"
					ng-class="{'panel-heading-no-bottom-border' : !toggledtab[$index]}">{{
					count.name }}</div>
				<div class="panel-body" ng-show="toggledtab[$index]">
					<div class="dropdown">
						<button class="btn btn-default drop-seeas" type="button"
							ng-click="seeastoggledtab[$index]=!seeastoggledtab[$index]"
							ng-class="{'drop-seeas-toggled' : seeastoggledtab[$index]}">
							Voir en tant que <span class="caret"></span>
						</button>
						<div class="name-seeas">
							<b>{{ displayAsUser}}</b>
						</div>
						<ul class="dropdown-menu dropdown-menu-seeas"
							ng-show="seeastoggledtab[$index]"
							ng-click="seeastoggledtab[$index] = !seeastoggledtab[$index];">
							<li ng-repeat="user in count.users"
								ng-click="changeDisplayAsUser(user.firstName);"><a href="">{{
									user.firstName }}</a></li>
						</ul>
					</div>

					<div class="container-fluid" style="margin-top: -40px;">

						<div class="row page-header">
							<h3 class="page-header-h3">Votre compte</h3>
						</div>

						<div class="row">
							<div class="col-sm-12 col-md-3">
								<table class="table table-striped">
									<thead>
										<tr>
											<th>Nom</th>
											<th>Argent dû</th>
										</tr>
									</thead>
									<tbody ng-repeat="user in count.users"
										ng-if="user.firstName == displayAsUser">
										<tr ng-repeat="moneyOwed in user.moneyOwedToOthers">
											<td>{{ moneyOwed.name }}</td>
											<td>{{ moneyOwed.value }}</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="col-sm-12 col-md-9">
								<canvas id="myChart"></canvas>
							</div>
						</div>

						<div class="row page-header">
							<h3 class="page-header-h3">Liste des dépenses</h3>
						</div>

						<div class="row">
							<button class="btn btn-default btn-ajout-depense"
								ng-click="newexpensetab[$index]=!newexpensetab[$index];"
								type="button">
								<span class="glyphicon glyphicon-plus">&nbsp;</span>Ajouter une
								dépense
							</button>


							<table class="table table-condensed table-striped">
								<thead>
									<tr>
										<th>Date</th>
										<th>Objet</th>
										<th>Payeur</th>
										<th class="td-prix" style="text-align: center;">Prix</th>
										<th style="text-align: center;">Florian</th>
										<th style="text-align: center;">Paul</th>
										<th style="text-align: center;">Cocher</th>
										<th style="text-align: center;"></th>
									</tr>
								</thead>

								<tbody>
									<tr ng-show="newexpensetab[$index]">
										<td><input type="text" class="form-control"></td>
										<td><input type="text" class="form-control"></td>
										<td><input type="text" class="form-control"></td>
										<td class="td-prix" style="text-align: center;"><input
											type="text" class="form-control"></td>

										<td style="text-align: center;"
											ng-repeat="user in count.users"><input type="text"
											class="form-control"></td>
										<td><button class="btn btn-primary btn-confirm-depense">
												<span class="glyphicon glyphicon-ok"></span>
											</button></td>
									</tr>

									<tr ng-repeat="expense in count.expenses" ng-if="$index<5">
										<td>{{ expense.date }}</td>
										<td>{{ expense.name }}</td>
										<td>{{ expense.paidBy }}</td>
										<td class="td-prix" style="text-align: center;">{{
											expense.price }}</td>

										<td style="text-align: center;"
											ng-repeat="paidFor in expense.paidFor">{{ paidFor.value
											}}</td>
										<td></td>
									</tr>
									<tr ng-repeat="expense in count.expenses"
										ng-show="showmoretab[$parent.$index] && $index >=5">
										<td>{{ expense.date }}</td>
										<td>{{ expense.name }}</td>
										<td>{{ expense.paidBy }}</td>
										<td class="td-prix" style="text-align: center;">{{
											expense.price }}</td>

										<td style="text-align: center;"
											ng-repeat="paidFor in expense.paidFor">{{ paidFor.value
											}}</td>
										<td></td>
									</tr>

								</tbody>
							</table>
						</div>
						<div class="row" style="text-align: center;">
							<button type="button" class="btn btn-default btn-circle btn-lg"
								ng-click="showmoretab[$index] = true;"
								ng-show="!showmoretab[$index]">
								<span class="glyphicon glyphicon-menu-down"></span>
							</button>
							<button type="button" class="btn btn-default btn-circle btn-lg"
								ng-click="showmoretab[$index] = false;"
								ng-show="showmoretab[$index]">
								<span class="glyphicon glyphicon-menu-up"></span>
							</button>
						</div>
					</div>
				</div>

				<div class="panel-footer" style="text-align: center;"
					ng-click="toggledtab[$index]=!toggledtab[$index]; seeastoggledtab[$index]=false;">
					<span class="glyphicon"
						ng-class="{'glyphicon-triangle-bottom' : !toggledtab[$index], 'glyphicon-triangle-top' : toggledtab[$index]}"></span>
				</div>
			</div>
		</div>
		<br />
		<button class="btn btn-lg btn-primary btn-close-all"
			ng-click="closeAllTabs();" ng-mouseenter="hoverClose = true;"
			ng-mouseleave="hoverClose = false;"
			ng-class="{'btn-close-all-hover' : hoverClose}">
			<span class="glyphicon glyphicon-remove"></span><span
				ng-show="hoverClose" class="text-button-fixed"> Fermer les
				onglets</span>
		</button>
		<button class="btn btn-lg btn-primary btn-add"
			ng-click="showAddCount = !showAddCount"
			ng-mouseenter="hoverAdd = true;" ng-mouseleave="hoverAdd = false;"
			ng-class="{'btn-add-hover' : hoverAdd, 'btn-add-decale' : hoverClose}">
			<span ng-show="hoverAdd" class="text-button-fixed">Ajouter un
				compte </span><span class="glyphicon glyphicon-plus"></span>
		</button>



		<div class="add-count" ng-show="showAddCount">
			<div class="container-fluid" style="margin-top: 80px;">
				<div class="list-group col-lg-4 col-lg-offset-4">
					<p class="list-group-item active">Nom du compte</p>
					<div class="list-group-item">
						<form>
							<div class="input-group">
								<input type="text" class="form-control" ng-model="newCountName">
								<div class="input-group-btn">
									<button ng-click="addCount();" class="btn btn-default ">
										<span class="glyphicon glyphicon-ok"></span>
									</button>
								</div>
								<button ng-click="showAddCount = !showAddCount"
									class="btn btn-primary">
									<span class="glyphicon glyphicon-remove"></span>
								</button>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>


	</div>


</body>

<script>
	function draw() {
		var x = $("#myChart").parent().width();

		var ctx = document.getElementById("myChart");
		var personnes = [ "Paul", "Cocher" ];
		ctx.height = personnes.length * 70;
		ctx.width = x;
		var myChart = new Chart(ctx, {
			type : 'horizontalBar',
			data : {
				labels : personnes,
				datasets : [ {
					label : 'Argent dû',
					data : [ 12.5, -3.22 ],
					backgroundColor : [ 'rgba(255, 99, 132, 0.2)',
							'rgba(54, 162, 235, 0.2)' ],
					borderColor : [ 'rgba(255,99,132,1)',
							'rgba(54, 162, 235, 1)' ],
					borderWidth : 1
				} ]
			},
			options : {
				maintainAspectRatio : true,
				scales : {
					yAxes : [ {
						ticks : {
							beginAtZero : true
						}
					} ]
				}
			}
		});
	}
</script>

<script>
	var app = angular.module('myCountApp', []);
	app.controller('myCountCtrl', function($scope, $http) {
		$http.get("count-ajax").then(function(response) {
			$scope.myData = response.data.counts;
		});

		$scope.toggledtab = [];
		$scope.seeastoggledtab = [];
		$scope.newexpensetab = [];
		$scope.showmoretab = [];
		$scope.hoverClose = false;
		$scope.hoverAdd = false;
		$scope.showAddCount = false;

		$scope.changeDisplayAsUser = function(newUser) {
			$scope.displayAsUser = newUser;
		}
		
		$scope.addCount = function() {
	        var data = $.param({
	            json: JSON.stringify({
	            })
	        });
	        $http.post("count-ajax?op=addCount&newCountName=" + $scope.newCountName, data).success(function(data, status) {
	        })
	        
	        $scope.showAddCount = false;
	    }        

		$scope.closeAllTabs = function() {
			newarray = [];
			angular.forEach($scope.toggledtab, function(value) {
				newarray.push(false);
			});
			$scope.toggledtab = newarray;
			$scope.seeastoggledtab = [];
		};

		$scope.displayAsUser = 'Florian';

	});
</script>


<script>
	window.onresize = draw;
</script>
</html>
